$(function() { 

 document.getElementById('captionSmallBoxes').innerHTML = 'Resumo Mensal - Agosto/2022'; 

 document.getElementById('captionTitleDonut').innerHTML = 'Índice de Produção - Agosto/2022'; 

 document.getElementById('captionSubTitleDonut').innerHTML = '(últimos 3 meses - percentual de representatividade/quantidade)'; 

 document.getElementById('captionTitleBar').innerHTML = 'Plano de Produção X Produzido'; 

 document.getElementById('captionPeriodBar').innerHTML = '(em andamento)'; 

 document.getElementById('captionTitleStackedBar').innerHTML = 'Insumos - Consumo x Perda'; 

 document.getElementById('captionPeriodStackedBar').innerHTML = '(últimos 3 meses)'; 

 document.getElementById('captionLegendStackedBarOne').innerHTML = 'Consumo'; 

 document.getElementById('captionLegendStackedBarTwo').innerHTML = 'Perda'; 

 document.getElementById('captionTitleLine').innerHTML = 'Produzido x Perda por Mês/Ano (kg)'; 

 document.getElementById('captionPeriodLine').innerHTML = '(últimos 12 meses)'; 

 document.getElementById('numFirstBox').innerHTML = '0,000'; 
 document.getElementById('numSecondBox').innerHTML = '0,000'; 
 document.getElementById('numThirdBox').innerHTML = '0'; 
 document.getElementById('numFourthBox').innerHTML = '0'; 
 document.getElementById('textFirstBox').innerHTML = 'Produzido hoje'; 
 document.getElementById('textSecondBox').innerHTML = 'Produzido no mês'; 
 document.getElementById('textThirdBox').innerHTML = 'Efetividade da Produção'; 
 document.getElementById('textFourthBox').innerHTML = 'Perda'; 

 var donut = new Morris.Donut({ 
    element: 'donut-chart', 
    resize: true, 
    colors: ["#1B9AAA", "#9E9E9E", "#BD445F", "#607D8B", "#F2A594","#D9D9D9",
             "#154E71","#CFCF53", "#FF5850", "#B6B6B6", "#0A9600", "#E6E4E5", "#66CCFF",
             "#969696", "#DA5711", "#A3C2C2", "#E62E00", "#CC6699", "#00B386", "#B3B3CC", "#FF6600"],
    data: [{ 
        label: "SALMAO FILE PREMIUM C/P 1000KG UP VACUO CX 10KG PEIXES MEGGS", 
        value: 100 
    }], 
    hideHover: 'auto' 
 }); 

$('.row-scroll-stacked').css('width','290%'); 
var bar = new Morris.Bar({ 
    element: 'bar-chart-stacked', 
    resize: true, 
    hideHover: 'auto', 
    data: [{ 
        y: "SALMAO FILE PREMIUM 1000/2000 GR V CX 25KG - PULMAO", 
        a: 0, 
        b: 4500 
    }, { 
        y: "CAIXA MEGGS FUNDO", 
        a: 0, 
        b: 153.408 
    }, { 
        y: "CAIXA MEGGS T 570 X 375 X 170 / F 561 X 355 X 168", 
        a: 0, 
        b: 139.09 
    }, { 
        y: "EMBALAGEM ALTA BARREIRA PACK LISA 28X55X10", 
        a: 0, 
        b: 69.955 
    }, { 
        y: "FILME PEBD CX CONTRATIL FF 730X50 ", 
        a: 0, 
        b: 16.364 
    }, { 
        y: "ETIQUETA BOPP LINHA MAR 110MM X 185MM", 
        a: 0, 
        b: 14.727 
    }, { 
        y: "ETIQUETA MARCA D AGUA 100X150MM", 
        a: 0, 
        b: 0.409 
    }, { 
        y: "RIBBON  110MM X 450M CERA", 
        a: 0, 
        b: 0.002 
    }], 
    xkey: 'y', 
    ykeys: ['a', 'b'], 
    labels: ['Perda', 'Consumo'], 
    barColors: ['#D32F2F', '#FF9800'], 
    grid: true, 
    gridLineColor: ['#727272'], 
    stacked: true, 
    barSizeRatio: 0.55, 
    xLabelMargin: 10, 
    gridTextSize: 8, 
    barSizeRatio: 0.50, 
}); 

 var line = new Morris.Line({ 
    element: 'line-chart', 
    resize: true, 
    data: [ { 
        y: 'Set', 
        item1: 0, 
        item2: 2974.24 
    }, { 
        y: 'Out', 
        item1: 0, 
        item2: 6486.55 
    }, { 
        y: 'Nov', 
        item1: 0, 
        item2: 1925 
    }, { 
        y: 'Jan', 
        item1: 0, 
        item2: 649.61 
    }, { 
        y: 'Fev', 
        item1: 0, 
        item2: 3888 
    }, { 
        y: 'Mar', 
        item1: 0, 
        item2: 3461.331 
    }, { 
        y: 'Jun', 
        item1: 0, 
        item2: 784.646 
    }, { 
        y: 'Jul', 
        item1: 0, 
        item2: 463.47 
    }], 
    xkey: 'y', 
    ykeys: ['item1', 'item2'], 
    labels: ['Perda', 'Produção'], 
    lineColors: ['#F44336', '#388E3C'], 
    lineWidth: 2, 
    hideHover: 'auto', 
    gridTextColor: '#727272', 
    gridStrokeWidth: 0.4, 
    pointSize: 4, 
    pointStrokeColors: ['#efefef'], 
    gridLineColor: '#B6B6B6', 
    gridTextFamily: 'Calibri', 
    gridTextSize: 10, 
    fillColor: '#B6B6B6', 
    parseTime: false, 
    xLabelMargin: 10 
 }); 

});
